Cloudflare
Cloudflare connection, record and zone settings
GET
Permission: site.view
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidSuccessful Response
application/json- response
success*booleandata*Connection state, plus the live record and zone settings when a zone is
attached. When not connected only connected, cname_target,
oauth_available and requested_scopes are present.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/cloudflare"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "connected": true, "cname_target": "string", "oauth_available": true, "requested_scopes": [ "string" ], "auth_type": null, "oauth_connected": null, "granted_scopes": null, "token_refresh_days": null, "token_status": null, "account_id": null, "account_name": null, "zone_id": null, "zone_name": null, "proxied": null, "record": null, "txt_record": null, "zone_settings": null, "block_xmlrpc": null, "block_xmlrpc_needs": null, "error": null }}